# $Revision: 1.25 $, $Date: 2006/03/27 12:42:01 $
# TODO:
# - upgrade to 1.2.2
# - check file list when built with docs
#
# Conditional build:
%bcond_with	doc		# build documentation
%bcond_with	openssl		# link against openssl (requires multithreaded libs)
%bcond_without	mysql		# don't link against mysql
#
Summary:	SMS/WAP gateway
Summary(pl):	Bramka WAP oraz SMS
Name:		kannel
Version:	1.2.0
Release:	9
License:	BSD-like (see COPYING)
Group:		Networking/Daemons
Source0:	http://www.kannel.org/download/%{version}/gateway-%{version}.tar.gz
# Source0-md5:	963502f15909ff3e53f5f7b2d8bdb218
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-types.patch
Patch1:		%{name}-nolibs.patch
URL:		http://www.kannel.org/
BuildRequires:	ImageMagick
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-devel
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_doc:BuildRequires:	openjade}
# requires multithread enabled openssl (?)
%{?with_openssl:BuildRequires:	openssl-devel >= 0.9.7d}
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kannel is an Open Source SMS/WAP gateway. WAP is short for Wireless
Application Protocol. It lets the phone act as a simple hypertext
browser, but optimizes the markup language, scripting language, and
the transmission protocols for wirelessuse. The optimized protocols
are translated to normal Internet protocols by a WAP gateway. Kannel
also works as a SMS gateway for GSM networks. Almost all GSM phones
can send and receive SMS messages, so this is a way to serve many more
clients than just those using WAP phones.

%description -l pl
Kannel jest bramk SMS/WAP Open Source. WAP pozwala uywa telefonw
jako prostych przegldarek hipertekstowych, ale korzysta ze
zoptymalizowanych protokow transmisji. Bramka WAP tumaczy je na
protokoy internetowe. Kannel dziaa rwnie jako bramka SMS dla sieci
GSM. Prawie wszystkie telefony GSM mog odbiera i wysya wiadomoci
SMS, wic pozwala to na obsug wikszej liczby klientw.

%prep
%setup -q -n gateway-%{version}
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-malloc-native \
	--enable-cookies \
	--%{?with_mysql:en}%{!?with_mysql:dis}able-mysql \
	%{?with_openssl: --with-wtls=openssl --with-ssl=%{_prefix} --en}%{!?with_openssl: --dis}able-ssl \
	--%{!?with_doc:dis}%{?with_doc:en}able-docs

touch .depend
%{__make} depend
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -D %{SOURCE3}	$RPM_BUILD_ROOT%{_sysconfdir}/kannel/%{name}.conf
install gw/smskannel.conf $RPM_BUILD_ROOT%{_sysconfdir}/kannel/smskannel.conf
install test/fakesmsc $RPM_BUILD_ROOT%{_bindir}
install test/fakewap $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add %{name}
	echo "Run \"/etc/rc.d/init.d/kannel start\" to start kannel." >&2
else
	if [ -f /var/lock/subsys/kannel ]; then
		/etc/rc.d/init.d/kannel restart >&2
	fi
fi


%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/kannel ]; then
		/etc/rc.d/init.d/kannel stop >&2
	fi
	/sbin/chkconfig --del kannel
fi

%files
%defattr(644,root,root,755)
%doc README COPYING NEWS VERSION STATUS doc/{dialup.txt,dlr-mysql.conf,kannel.conf,modems.conf}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kannel/kannel.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kannel/smskannel.conf
%dir %{_sysconfdir}/kannel
%{_mandir}/man*/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kannel.spec,v $
Revision 1.25  2006/03/27 12:42:01  glen
- rel 9 (libmysqlclient_15)

Revision 1.24  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.23  2005/10/27 17:42:48  arekm
- rel 8

Revision 1.22  2005/03/24 14:32:21  darekr
- unified

Revision 1.21  2005/02/12 22:46:25  arekm
rel ++

Revision 1.20  2004/08/18 22:13:15  undefine
- release 6

Revision 1.19  2004/08/18 22:08:30  undefine
- copy config.sub to allow build on amd64

Revision 1.18  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.17  2004/03/13 21:33:06  eothane
- new bcond style

Revision 1.16  2004/03/13 21:25:25  mmazur
- bcond unification - based on http://www.gentoo.org/dyn/use-index.xml

Revision 1.15  2003/12/06 17:48:05  qboosh
- added types and nolibs patches

Revision 1.14  2003/09/10 15:05:02  ankry
- rel. 5

Revision 1.13  2003/09/01 21:20:23  blues
- release 3

Revision 1.12  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.11  2003/08/21 20:36:10  undefine
- doesn't work

Revision 1.10  2003/08/21 20:15:04  undefine
- small patch. mayby helps on alpha?

Revision 1.9  2003/08/21 08:05:55  qboosh
- cosmetics, missing dir, verify flags

Revision 1.8  2003/08/21 07:03:59  ankry
- rel. 2

Revision 1.7  2003/08/20 22:23:16  undefine
- fix in post/postun scripts

Revision 1.6  2003/08/20 21:39:19  ankry
- desc formatting

Revision 1.5  2003/08/20 15:32:12  undefine
- changes by ytm:
 - conditional ssl support(requires multithread enabled openssl)
 - conditional docs build(don't work with current jade)
 - many fixes
 - probably works

Revision 1.4  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/29 19:24:00  qboosh
- more specific Requires(), cosmetics, don't call chkconfig reset

Revision 1.1  2003/03/04 12:24:48  misiek
- worse than raw
